Page MenuHomePhabricator

Routing code allows invalid routes
Closed, ResolvedPublic3 Story Points

Description

It's possible to fool the routing code by going to area/metric where metric is not in area. For example:

https://stats.wikimedia.org/v2/#/ro.wikipedia.org/reading/editors

The editors metric shows up, but the metrics on the left are from the reading area.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2018, 11:08 PM
fdans triaged this task as Unbreak Now! priority.Mar 5 2018, 5:27 PM
fdans edited projects, added Analytics-Kanban; removed Analytics.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMar 5 2018, 5:27 PM
Nuria edited projects, added Analytics; removed Analytics-Kanban.Mar 22 2018, 4:07 PM
fdans moved this task from Incoming to Wikistats Beta on the Analytics board.Mar 26 2018, 4:53 PM

This task has "Unbreak Now!" priority for five weeks now. That means "Something is broken and needs to be fixed immediately, setting anything else aside."
Who should this task be assigned to / who plans to work on this?

Bucky199191 lowered the priority of this task from Unbreak Now! to Needs Triage.Apr 10 2018, 5:02 AM
JJMC89 triaged this task as Unbreak Now! priority.Apr 10 2018, 5:13 AM
在T188792#4114911中,@Aklapper写道:

This task has "Unbreak Now!" priority for five weeks now. That means "Something is broken and needs to be fixed immediately, setting anything else aside."
Who should this task be assigned to / who plans to work on this?

@fdans ^^

Milimetric lowered the priority of this task from Unbreak Now! to High.Apr 19 2018, 5:25 PM

(sorry for the priority, we thought it was bad but it's ok if it's not fixed right away)

Milimetric added a project: Analytics-Kanban.
Milimetric set the point value for this task to 3.

Change 464906 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[analytics/wikistats2@master] Defer to the config to specify the area

https://gerrit.wikimedia.org/r/464906

Change 464906 merged by jenkins-bot:
[analytics/wikistats2@master] Defer to the config to specify the area

https://gerrit.wikimedia.org/r/464906

Nuria moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Oct 11 2018, 4:01 PM
Nuria closed this task as Resolved.Oct 19 2018, 2:20 AM